<template>
  <div class="py-24">
    <!-- Titre page -->
    <h1 class="m-auto mb-10 w-max text-3xl">Connexion</h1>
    <!-- Formulaire connexion -->
    <form @submit="login" class="p-8 m-auto w-min bg-gray-200 rounded">
      <!-- Formulaire > mail -->
      <div>
        <p class="py-2 text-xl">Adresse email</p>
        <label>
          <input v-model="email" type="email" required min="6" placeholder="votre adresse email" class="p-1 border-2 border-gray-400 rounded">
        </label>
      </div>
      <!-- Formulaire > mot de passe -->
      <div class="mt-5">
        <p class="py-2 text-xl">Mot de passe</p>
        <label>
          <input v-model="password" type="password" required min="6" placeholder="mot de passe" class="p-1 border-2 border-gray-400 rounded">
        </label>
      </div>
      <!-- Formulaire > bouton -->
      <input type="submit" value="Connexion" class="cursor-pointer px-2 py-1.5 mt-8 bg-white border-2 border-yellow-600 rounded transition-all hover:text-white hover:bg-yellow-600">
    </form>
    <!-- Formulaire > erreur -->
    <div v-if="error" class="m-auto mt-5 w-3/4 text-center text-red-600">
      <p>{{ error }}</p>
    </div>
  </div>
</template>

<script>
import firebase from 'firebase'
export default {
  data: () => ({
    email: '',
    password: '',
    error: null,
  }),
  methods: {
    // Fctn pour se connecter
    async login() {
      try {
        await firebase.auth().signInWithEmailAndPassword(this.email, this.password)
        console.log('Login : user connect success') // TO CLEAN
      }
      catch (err) {
        console.log('Login : user connect error') // TO CLEAN
        console.log(`Auth error: ${err}`)
        this.error = err
      }
    }
  }
}
</script>
